I just added a new Domain. I am hosted under GoDaddy web-hosting. Previously I had two Drupal-7 Domains installed and running. I just now installed Drupal-8 on the new Domain. Drupal-8 wants to be updated. I went to puTTY and navigated to GoDaddy, logged-in, and navigated to the new Domain's sub-directory. Once there I typed in the Drush command: "drush up". Was greeted with the message "Drush 7.0.0 does not support Drupal 8."

Does this mean that I have to update Drush, and if I do so will I no longer be able to work on my Drupal-7 websites with the newer version of Drush? Or is it illegal to have two version of Drupal on the same GoDaddy hosting directory. There were no error messages when I installed Drupal-8 and the site seems to work, though it is totally undeveloped.

I will ask the GoDaddy people, but likely they won't know. If anyone out there in Drupal-land is also a GoDaddy customer, please let me know your experience.

Comments

duvien’s picture

It's perfectly fine running both D7 and D7 under the same domain. The problem is that Drupal 8 requires Drush 8 to work. This is why you are getting the message. Either you ask your hosting provider to upgrade drush to version 8 (hardly likely) or install drush 8 to run locally, see: http://docs.drush.org/en/master/install/

But for Drupal 8, it is best to use Composer to manage your installation and dependencies. The first few paragraphs here will help you to install Composer on a shared hosting without the need for root access: https://duvien.com/blog/how-install-open-social-drupal-8-distribution

-----------------------------------------------------------------
I build engaging websites and intuitive designs that will benefit your business
Duvien

chandraswami’s picture

I looked online and followed this OSTraining Video: Manual Core Update Drupal-8

This worked and Drupal-8 is no longer asking me to update, however, now I am still wondering if updating Drush to Drush 8.0.0 will make Drush stop working for Drupal-7. I am pretty sure that I can do this on my own in GoDaddy's server. I installed Drush on my own, so probably I can update the same way. I seem to remember that Drush has its own 'update' feature.

duvien’s picture

Drush 8 is compatible for both Drupal versions.

-----------------------------------------------------------------
I build engaging websites and intuitive designs that will benefit your business
Duvien

chandraswami’s picture

Thanks, that is all I wanted to know. I will update Drush to Drush-8.0 on my server.